import request from '@/config/axios'

// 识别结果 VO
export interface TrainResultVO {
}

// 识别结果 API
export const TrainResultApi = {
  // 查询识别结果分页
  getTrainResultPage: async (params: any) => {
    return await request.get({ url: `/annotation/train-result/page`, params })
  },

  // 查询识别结果详情
  getTrainResult: async (id: number) => {
    return await request.get({ url: `/annotation/train-result/get?id=` + id })
  },

  // 新增识别结果
  createTrainResult: async (data: TrainResultVO) => {
    return await request.post({ url: `/annotation/train-result/create`, data })
  },

  // 修改识别结果
  updateTrainResult: async (data: TrainResultVO) => {
    return await request.put({ url: `/annotation/train-result/update`, data })
  },

  // 删除识别结果
  deleteTrainResult: async (id: number) => {
    return await request.delete({ url: `/annotation/train-result/delete?id=` + id })
  },

  // 导出识别结果 Excel
  exportTrainResult: async (params) => {
    return await request.download({ url: `/annotation/train-result/export-excel`, params })
  },
}
